Date: Friday, February 23, 2018 @ 15:02:36
  Author: anthraxx
Revision: 317427

archrelease: copy trunk to extra-x86_64

Added:
  vim/repos/extra-x86_64/PKGBUILD
    (from rev 317426, vim/trunk/PKGBUILD)
  vim/repos/extra-x86_64/archlinux.vim
    (from rev 317426, vim/trunk/archlinux.vim)
  vim/repos/extra-x86_64/vimdoc.hook
    (from rev 317426, vim/trunk/vimdoc.hook)
  vim/repos/extra-x86_64/vimrc
    (from rev 317426, vim/trunk/vimrc)
Deleted:
  vim/repos/extra-x86_64/PKGBUILD
  vim/repos/extra-x86_64/archlinux.vim
  vim/repos/extra-x86_64/vimdoc.hook
  vim/repos/extra-x86_64/vimrc

---------------+
 PKGBUILD      |  439 ++++++++++++++++++++++++++++----------------------------
 archlinux.vim |   52 +++---
 vimdoc.hook   |   22 +-
 vimrc         |   36 ++--
 4 files changed, 277 insertions(+), 272 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD    2018-02-23 15:02:28 UTC (rev 317426)
+++ PKGBUILD    2018-02-23 15:02:36 UTC (rev 317427)
@@ -1,218 +0,0 @@
-# Maintainer: Levente Polyak <anthraxx[at]archlinux[dot]org>
-# Contributor: Anatol Pomozov <anatol.pomo...@gmail.com>
-# Contributor: Thomas Dziedzic <gos...@gmail.com>
-# Contributor: Jan "heftig" Steffens <jan.steff...@gmail.com>
-# Contributor: tobias [ tobias at archlinux org ]
-# Contributor: Daniel J Griffiths <ghost1...@archlinux.us>
-# Contributor: Christian Hesse <m...@eworm.de>
-# Contributor: Eli Schwartz
-
-pkgbase=vim
-pkgname=('vim' 'gvim' 'vim-runtime')
-pkgver=8.0.1476
-_versiondir=80
-pkgrel=1
-url='http://www.vim.org'
-arch=('x86_64')
-license=('custom:vim')
-makedepends=('glibc' 'libgcrypt' 'gpm' 'python2' 'python' 'ruby' 'libxt' 
'gtk3' 'lua'
-             'gawk' 'tcl' 'pcre' 'zlib' 'libffi')
-source=(vim-${pkgver}.tar.gz::https://github.com/vim/vim/archive/v${pkgver}.tar.gz
-        vimrc
-        archlinux.vim
-        vimdoc.hook)
-sha256sums=('6b12aa3736d22a9802b0a11701fc4e8b80388804c10c6f8bee62e67bab1ed58f'
-            'b16e85e457397ab2043a7ee0a3c84307c6b4eac157fd0b721694761f25b3ed5b'
-            '0cf8b42732111d0c66c3908a76d832736e8f8dc3abef81cb092ddf84cb862ea2'
-            '7095cafac21df7aa42749d6864d1c0549fe65771d8edda3102c931c60782b6b9')
-sha512sums=('02021e4f758b5923c156660dea2ca3fa7cc8ac7238ad80087f4274c855ae377099a16b25b1dd6c5dab74925a5c6682f8cf03b96d294989f58251073a2032bd39'
-            
'4b5bed0813f22af9e158ea9aa56a4a9862dd786ba2d201f20159ccf652da6190164aaed0b6b7217d578f7b25c33a8adcc307bfcf3caa8d173a7ff29e2a00fee7'
-            
'935c15a4cc55b9209e6b6c974df765cc6683ae32ccea38acadc825bbc9c60b97ebe14aec8814b7e52080c0d0ded520a68ff1880ab64f320b08c181b6bf862edb'
-            
'1e06e981691b17662fd0fddac5c00c87c920d1b4a1cbb6191c42d57cc40b00af12710e26b22fcfc0901bb8142b15f6a04aa65cec2d9b3bb9d5a06cb650d3ab9c')
-
-prepare() {
-  (cd vim-${pkgver}/src
-    # define the place for the global (g)vimrc file (set to /etc/vimrc)
-    sed -i 's|^.*\(#define SYS_.*VIMRC_FILE.*"\) .*$|\1|' feature.h
-    sed -i 's|^.*\(#define VIMRC_FILE.*"\) .*$|\1|' feature.h
-    autoconf
-  )
-  cp -a vim-${pkgver} gvim-${pkgver}
-}
-
-build() {
-  msg2 "Building vim..."
-  (cd vim-${pkgver}
-    ./configure \
-      --prefix=/usr \
-      --localstatedir=/var/lib/vim \
-      --with-features=huge \
-      --with-compiledby='Arch Linux' \
-      --enable-gpm \
-      --enable-acl \
-      --with-x=no \
-      --disable-gui \
-      --enable-multibyte \
-      --enable-cscope \
-      --enable-netbeans \
-      --enable-perlinterp=dynamic \
-      --enable-pythoninterp=dynamic \
-      --enable-python3interp=dynamic \
-      --enable-rubyinterp=dynamic \
-      --enable-luainterp=dynamic \
-      --enable-tclinterp=dynamic
-    make
-  )
-
-  msg2 "Building gvim..."
-  (cd gvim-${pkgver}
-    ./configure \
-      --prefix=/usr \
-      --localstatedir=/var/lib/vim \
-      --with-features=huge \
-      --with-compiledby='Arch Linux' \
-      --enable-gpm \
-      --enable-acl \
-      --with-x=yes \
-      --enable-gui=gtk3 \
-      --enable-multibyte \
-      --enable-cscope \
-      --enable-netbeans \
-      --enable-perlinterp=dynamic \
-      --enable-pythoninterp=dynamic \
-      --enable-python3interp=dynamic \
-      --enable-rubyinterp=dynamic \
-      --enable-luainterp=dynamic \
-      --enable-tclinterp=dynamic
-    make
-  )
-}
-
-check() {
-  cd vim-${pkgver}
-  TERM=xterm make -j1 test
-}
-
-package_vim-runtime() {
-  pkgdesc='Runtime for vim and gvim'
-  backup=('etc/vimrc')
-
-  cd vim-${pkgver}
-
-  make -j1 VIMRCLOC=/etc DESTDIR="${pkgdir}" install
-  # man and bin files belong to 'vim'
-  rm -r "${pkgdir}"/usr/share/man/ "${pkgdir}"/usr/bin/
-
-  # Don't forget logtalk.dict
-  install -Dm 644 runtime/ftplugin/logtalk.dict \
-    "${pkgdir}"/usr/share/vim/vim${_versiondir}/ftplugin/logtalk.dict
-
-  # fix FS#17216
-  sed -i 's|messages,/var|messages,/var/log/messages.log,/var|' \
-    "${pkgdir}"/usr/share/vim/vim${_versiondir}/filetype.vim
-
-  # patch filetype.vim for better handling of pacman related files
-  sed -i 
"s/rpmsave/pacsave/;s/rpmnew/pacnew/;s/,\*\.ebuild/\0,PKGBUILD*,*.install/" \
-    "${pkgdir}"/usr/share/vim/vim${_versiondir}/filetype.vim
-  sed -i "/find the 
end/,+3{s/changelog_date_entry_search/changelog_date_end_entry_search/}" \
-    "${pkgdir}"/usr/share/vim/vim${_versiondir}/ftplugin/changelog.vim
-
-  # rc files
-  install -Dm 644 "${srcdir}"/vimrc "${pkgdir}"/etc/vimrc
-  install -Dm 644 "${srcdir}"/archlinux.vim \
-    "${pkgdir}"/usr/share/vim/vimfiles/archlinux.vim
-
-  # rgb.txt file
-  install -Dm 644 runtime/rgb.txt \
-    "${pkgdir}"/usr/share/vim/vim${_versiondir}/rgb.txt
-
-  # no desktop files and icons
-  rm -r "${pkgdir}"/usr/share/{applications,icons}
-
-  # license
-  install -dm 755 "${pkgdir}"/usr/share/licenses/vim-runtime
-  ln -s /usr/share/vim/vim${_versiondir}/doc/uganda.txt \
-    "${pkgdir}"/usr/share/licenses/vim-runtime/license.txt
-
-  # pacman hook for documentation helptags
-  install -Dm 644 "${srcdir}"/vimdoc.hook 
"${pkgdir}"/usr/share/libalpm/hooks/vimdoc.hook
-}
-
-package_vim() {
-  pkgdesc='Vi Improved, a highly configurable, improved version of the vi text 
editor'
-  depends=("vim-runtime=${pkgver}-${pkgrel}" 'gpm' 'acl' 'glibc' 'libgcrypt' 
'pcre'
-           'zlib' 'libffi')
-  optdepends=('python2: Python 2 language support'
-              'python: Python 3 language support'
-              'ruby: Ruby language support'
-              'lua: Lua language support'
-              'perl: Perl language support'
-              'tcl: Tcl language support')
-  conflicts=('gvim' 'vim-minimal' 'vim-python3')
-  provides=('xxd' 'vim-minimal' 'vim-python3')
-  replaces=('vim-python3' 'vim-minimal')
-
-  cd vim-${pkgver}
-  make -j1 VIMRCLOC=/etc DESTDIR="${pkgdir}" install
-
-  # provided by (n)vi in core
-  rm "${pkgdir}"/usr/bin/{ex,view}
-
-  # delete some manpages
-  find "${pkgdir}"/usr/share/man -type d -name 'man1' 2>/dev/null | \
-    while read _mandir; do
-    cd "${_mandir}"
-    rm -f ex.1 view.1 # provided by (n)vi
-    rm -f evim.1    # this does not make sense if we have no GUI
-  done
-
-  # Runtime provided by runtime package
-  rm -r "${pkgdir}"/usr/share/vim
-
-  # no desktop files and icons
-  rm -r "${pkgdir}"/usr/share/{applications,icons}
-
-  # license
-  install -Dm 644 runtime/doc/uganda.txt \
-    "${pkgdir}"/usr/share/licenses/${pkgname}/license.txt
-}
-
-package_gvim() {
-  pkgdesc='Vi Improved, a highly configurable, improved version of the vi text 
editor (with advanced features, such as a GUI)'
-  depends=("vim-runtime=${pkgver}-${pkgrel}" 'gpm' 'libxt' 'gtk3' 'glibc' 
'libgcrypt' 'pcre'
-           'zlib' 'libffi')
-  optdepends=('python2: Python 2 language support'
-              'python: Python 3 language support'
-              'ruby: Ruby language support'
-              'lua: Lua language support'
-              'perl: Perl language support'
-              'tcl: Tcl language support')
-  provides=("vim=${pkgver}-${pkgrel}" "xxd")
-  conflicts=('vim-minimal' 'vim')
-  replaces=('gvim-python3')
-
-  cd gvim-${pkgver}
-  make -j1 VIMRCLOC=/etc DESTDIR="${pkgdir}" install
-
-  # provided by (n)vi in core
-  rm "${pkgdir}"/usr/bin/{ex,view}
-
-  # delete some manpages
-  find "${pkgdir}"/usr/share/man -type d -name 'man1' 2>/dev/null | \
-    while read _mandir; do
-    cd "${_mandir}"
-    rm -f ex.1 view.1 # provided by (n)vi
-  done
-
-  # need to remove since this is provided by vim-runtime
-  rm -r "${pkgdir}"/usr/share/vim
-
-  # keep gvim desktop file only, remove vim
-  rm "${pkgdir}"/usr/share/applications/vim.desktop
-
-  # license
-   install -Dm 644 runtime/doc/uganda.txt \
-    "${pkgdir}"/usr/share/licenses/${pkgname}/license.txt
-}
-
-# vim: ts=2 sw=2 et:

Copied: vim/repos/extra-x86_64/PKGBUILD (from rev 317426, vim/trunk/PKGBUILD)
===================================================================
--- PKGBUILD                            (rev 0)
+++ PKGBUILD    2018-02-23 15:02:36 UTC (rev 317427)
@@ -0,0 +1,221 @@
+# Maintainer: Levente Polyak <anthraxx[at]archlinux[dot]org>
+# Contributor: Anatol Pomozov <anatol.pomo...@gmail.com>
+# Contributor: Thomas Dziedzic <gos...@gmail.com>
+# Contributor: Jan "heftig" Steffens <jan.steff...@gmail.com>
+# Contributor: tobias [ tobias at archlinux org ]
+# Contributor: Daniel J Griffiths <ghost1...@archlinux.us>
+# Contributor: Christian Hesse <m...@eworm.de>
+# Contributor: Eli Schwartz
+
+pkgbase=vim
+pkgname=('vim' 'gvim' 'vim-runtime')
+pkgver=8.0.1531
+_versiondir=80
+pkgrel=1
+pkgdesc='Vi Improved, a highly configurable, improved version of the vi text 
editor'
+url='http://www.vim.org'
+arch=('x86_64')
+license=('custom:vim')
+makedepends=('glibc' 'libgcrypt' 'gpm' 'python2' 'python' 'ruby' 'libxt' 
'gtk3' 'lua'
+             'gawk' 'tcl' 'pcre' 'zlib' 'libffi')
+source=(vim-${pkgver}.tar.gz::https://github.com/vim/vim/archive/v${pkgver}.tar.gz
+        vimrc
+        archlinux.vim
+        vimdoc.hook)
+sha256sums=('3e3634e8bb088b516320d5201f6bfc426f65d4e3f9c66428ebc8ae0cf8c5fa8c'
+            'b16e85e457397ab2043a7ee0a3c84307c6b4eac157fd0b721694761f25b3ed5b'
+            'cef74d8fd3a22b2af83aeeef4a192ddd624afd0c6df6861db845e6e4f55b32de'
+            '7095cafac21df7aa42749d6864d1c0549fe65771d8edda3102c931c60782b6b9')
+sha512sums=('35c74d970c8e73c59587f90f2e5b79a4537501f5dca568ec4aa97c38bcd6b13db1fe396e4dcd2f6b67de36701bd2e9c9c8ba3ea227b18e3b628259d6dbb93663'
+            
'4b5bed0813f22af9e158ea9aa56a4a9862dd786ba2d201f20159ccf652da6190164aaed0b6b7217d578f7b25c33a8adcc307bfcf3caa8d173a7ff29e2a00fee7'
+            
'11fd92e385460dff3c0d6ab10ca9284fe47047a9032fba3d285d967c9e87720a04bdfaacfb72e2d7e0054d1f22121b6d60690df0673ca0b4820739f3b0081a2d'
+            
'1e06e981691b17662fd0fddac5c00c87c920d1b4a1cbb6191c42d57cc40b00af12710e26b22fcfc0901bb8142b15f6a04aa65cec2d9b3bb9d5a06cb650d3ab9c')
+
+prepare() {
+  (cd vim-${pkgver}/src
+    # define the place for the global (g)vimrc file (set to /etc/vimrc)
+    sed -i 's|^.*\(#define SYS_.*VIMRC_FILE.*"\) .*$|\1|' feature.h
+    sed -i 's|^.*\(#define VIMRC_FILE.*"\) .*$|\1|' feature.h
+    autoconf
+  )
+  cp -a vim-${pkgver} gvim-${pkgver}
+}
+
+build() {
+  msg2 "Building vim..."
+  (cd vim-${pkgver}
+    ./configure \
+      --prefix=/usr \
+      --localstatedir=/var/lib/vim \
+      --with-features=huge \
+      --with-compiledby='Arch Linux' \
+      --enable-gpm \
+      --enable-acl \
+      --with-x=no \
+      --disable-gui \
+      --enable-multibyte \
+      --enable-cscope \
+      --enable-netbeans \
+      --enable-perlinterp=dynamic \
+      --enable-pythoninterp=dynamic \
+      --enable-python3interp=dynamic \
+      --enable-rubyinterp=dynamic \
+      --enable-luainterp=dynamic \
+      --enable-tclinterp=dynamic
+    make
+  )
+
+  msg2 "Building gvim..."
+  (cd gvim-${pkgver}
+    ./configure \
+      --prefix=/usr \
+      --localstatedir=/var/lib/vim \
+      --with-features=huge \
+      --with-compiledby='Arch Linux' \
+      --enable-gpm \
+      --enable-acl \
+      --with-x=yes \
+      --enable-gui=gtk3 \
+      --enable-multibyte \
+      --enable-cscope \
+      --enable-netbeans \
+      --enable-perlinterp=dynamic \
+      --enable-pythoninterp=dynamic \
+      --enable-python3interp=dynamic \
+      --enable-rubyinterp=dynamic \
+      --enable-luainterp=dynamic \
+      --enable-tclinterp=dynamic
+    make
+  )
+}
+
+check() {
+  cd vim-${pkgver}
+  TERM=xterm make -j1 test
+}
+
+package_vim-runtime() {
+  pkgdesc+=' (shared runtime)'
+  optdepends=('sh: support for some tools and macros'
+              'python: demoserver example tool'
+              'gawk: mve tools upport')
+  backup=('etc/vimrc')
+
+  cd vim-${pkgver}
+
+  make -j1 VIMRCLOC=/etc DESTDIR="${pkgdir}" install
+  # man and bin files belong to 'vim'
+  rm -r "${pkgdir}"/usr/share/man/ "${pkgdir}"/usr/bin/
+
+  # Don't forget logtalk.dict
+  install -Dm 644 runtime/ftplugin/logtalk.dict \
+    "${pkgdir}"/usr/share/vim/vim${_versiondir}/ftplugin/logtalk.dict
+
+  # fix FS#17216
+  sed -i 's|messages,/var|messages,/var/log/messages.log,/var|' \
+    "${pkgdir}"/usr/share/vim/vim${_versiondir}/filetype.vim
+
+  # patch filetype.vim for better handling of pacman related files
+  sed -i 
"s/rpmsave/pacsave/;s/rpmnew/pacnew/;s/,\*\.ebuild/\0,PKGBUILD*,*.install/" \
+    "${pkgdir}"/usr/share/vim/vim${_versiondir}/filetype.vim
+  sed -i "/find the 
end/,+3{s/changelog_date_entry_search/changelog_date_end_entry_search/}" \
+    "${pkgdir}"/usr/share/vim/vim${_versiondir}/ftplugin/changelog.vim
+
+  # rc files
+  install -Dm 644 "${srcdir}"/vimrc "${pkgdir}"/etc/vimrc
+  install -Dm 644 "${srcdir}"/archlinux.vim \
+    "${pkgdir}"/usr/share/vim/vimfiles/archlinux.vim
+
+  # rgb.txt file
+  install -Dm 644 runtime/rgb.txt \
+    "${pkgdir}"/usr/share/vim/vim${_versiondir}/rgb.txt
+
+  # no desktop files and icons
+  rm -r "${pkgdir}"/usr/share/{applications,icons}
+
+  # license
+  install -dm 755 "${pkgdir}"/usr/share/licenses/vim-runtime
+  ln -s /usr/share/vim/vim${_versiondir}/doc/uganda.txt \
+    "${pkgdir}"/usr/share/licenses/vim-runtime/license.txt
+
+  # pacman hook for documentation helptags
+  install -Dm 644 "${srcdir}"/vimdoc.hook 
"${pkgdir}"/usr/share/libalpm/hooks/vimdoc.hook
+}
+
+package_vim() {
+  depends=("vim-runtime=${pkgver}-${pkgrel}" 'gpm' 'acl' 'glibc' 'libgcrypt' 
'pcre'
+           'zlib' 'libffi')
+  optdepends=('python2: Python 2 language support'
+              'python: Python 3 language support'
+              'ruby: Ruby language support'
+              'lua: Lua language support'
+              'perl: Perl language support'
+              'tcl: Tcl language support')
+  conflicts=('gvim' 'vim-minimal' 'vim-python3')
+  provides=('xxd' 'vim-minimal' 'vim-python3')
+  replaces=('vim-python3' 'vim-minimal')
+
+  cd vim-${pkgver}
+  make -j1 VIMRCLOC=/etc DESTDIR="${pkgdir}" install
+
+  # provided by (n)vi in core
+  rm "${pkgdir}"/usr/bin/{ex,view}
+
+  # delete some manpages
+  find "${pkgdir}"/usr/share/man -type d -name 'man1' 2>/dev/null | \
+    while read _mandir; do
+    cd "${_mandir}"
+    rm -f ex.1 view.1 # provided by (n)vi
+    rm -f evim.1    # this does not make sense if we have no GUI
+  done
+
+  # Runtime provided by runtime package
+  rm -r "${pkgdir}"/usr/share/vim
+
+  # no desktop files and icons
+  rm -r "${pkgdir}"/usr/share/{applications,icons}
+
+  # license
+  install -Dm 644 runtime/doc/uganda.txt \
+    "${pkgdir}"/usr/share/licenses/${pkgname}/license.txt
+}
+
+package_gvim() {
+  pkgdesc+=' (with advanced features, such as a GUI)'
+  depends=("vim-runtime=${pkgver}-${pkgrel}" 'gpm' 'libxt' 'gtk3' 'glibc' 
'libgcrypt' 'pcre'
+           'zlib' 'libffi')
+  optdepends=('python2: Python 2 language support'
+              'python: Python 3 language support'
+              'ruby: Ruby language support'
+              'lua: Lua language support'
+              'perl: Perl language support'
+              'tcl: Tcl language support')
+  provides=("vim=${pkgver}-${pkgrel}" "xxd")
+  conflicts=('vim-minimal' 'vim')
+  replaces=('gvim-python3')
+
+  cd gvim-${pkgver}
+  make -j1 VIMRCLOC=/etc DESTDIR="${pkgdir}" install
+
+  # provided by (n)vi in core
+  rm "${pkgdir}"/usr/bin/{ex,view}
+
+  # delete some manpages
+  find "${pkgdir}"/usr/share/man -type d -name 'man1' 2>/dev/null | \
+    while read _mandir; do
+    cd "${_mandir}"
+    rm -f ex.1 view.1 # provided by (n)vi
+  done
+
+  # need to remove since this is provided by vim-runtime
+  rm -r "${pkgdir}"/usr/share/vim
+
+  # keep gvim desktop file only, remove vim
+  rm "${pkgdir}"/usr/share/applications/vim.desktop
+
+  # license
+   install -Dm 644 runtime/doc/uganda.txt \
+    "${pkgdir}"/usr/share/licenses/${pkgname}/license.txt
+}
+
+# vim: ts=2 sw=2 et:

Deleted: archlinux.vim
===================================================================
--- archlinux.vim       2018-02-23 15:02:28 UTC (rev 317426)
+++ archlinux.vim       2018-02-23 15:02:36 UTC (rev 317427)
@@ -1,25 +0,0 @@
-" The ArchLinux global vimrc - setting only a few sane defaults
-"
-" Maintainer:      Thomas Dziedzic [gos...@gmail.com]
-"
-" NEVER EDIT THIS FILE, IT'S OVERWRITTEN UPON UPGRADES, GLOBAL CONFIGURATION
-" SHALL BE DONE IN /etc/vimrc, USER SPECIFIC CONFIGURATION IN ~/.vimrc
-
-" Normally we use vim-extensions. If you want true vi-compatibility
-" remove change the following statements
-set nocompatible                " Use Vim defaults instead of 100% vi 
compatibility
-set backspace=indent,eol,start  " more powerful backspacing
-
-" Now we set some defaults for the editor
-set history=50                  " keep 50 lines of command line history
-set ruler                       " show the cursor position all the time
-
-" Suffixes that get lower priority when doing tab completion for filenames.
-" These are files we are not likely to want to edit or read.
-set 
suffixes=.bak,~,.swp,.o,.info,.aux,.log,.dvi,.bbl,.blg,.brf,.cb,.ind,.idx,.ilg,.inx,.out,.toc,.png,.jpg
-
-if has('gui_running')
-  " Make shift-insert work like in Xterm
-  map <S-Insert> <MiddleMouse>
-  map! <S-Insert> <MiddleMouse>
-endif

Copied: vim/repos/extra-x86_64/archlinux.vim (from rev 317426, 
vim/trunk/archlinux.vim)
===================================================================
--- archlinux.vim                               (rev 0)
+++ archlinux.vim       2018-02-23 15:02:36 UTC (rev 317427)
@@ -0,0 +1,27 @@
+" The ArchLinux global vimrc - setting only a few sane defaults
+"
+" NEVER EDIT THIS FILE, IT'S OVERWRITTEN UPON UPGRADES, GLOBAL CONFIGURATION
+" SHALL BE DONE IN /etc/vimrc, USER SPECIFIC CONFIGURATION IN ~/.vimrc
+
+" Normally we use vim-extensions. If you want true vi-compatibility
+" remove change the following statements
+set nocompatible                " Use Vim defaults instead of 100% vi 
compatibility
+set backspace=indent,eol,start  " more powerful backspacing
+
+" Now we set some defaults for the editor
+set history=50                  " keep 50 lines of command line history
+set ruler                       " show the cursor position all the time
+
+" Suffixes that get lower priority when doing tab completion for filenames.
+" These are files we are not likely to want to edit or read.
+set 
suffixes=.bak,~,.swp,.o,.info,.aux,.log,.dvi,.bbl,.blg,.brf,.cb,.ind,.idx,.ilg,.inx,.out,.toc,.png,.jpg
+
+" Move the swap file location to protect against CVE-2017-1000382
+silent !install -d -m 700 ~/.vim/swap/ 2>&1 > /dev/null
+set directory=~/.vim/swap/
+
+if has('gui_running')
+  " Make shift-insert work like in Xterm
+  map <S-Insert> <MiddleMouse>
+  map! <S-Insert> <MiddleMouse>
+endif

Deleted: vimdoc.hook
===================================================================
--- vimdoc.hook 2018-02-23 15:02:28 UTC (rev 317426)
+++ vimdoc.hook 2018-02-23 15:02:36 UTC (rev 317427)
@@ -1,11 +0,0 @@
-[Trigger]
-Operation = Install
-Operation = Upgrade
-Operation= Remove
-Type = File
-Target = usr/share/vim/vimfiles/doc/
-
-[Action]
-Description = Updating Vim help tags...
-Exec = /usr/bin/vim -es --cmd ":helptags /usr/share/vim/vimfiles/doc" --cmd 
":q"
-When = PostTransaction

Copied: vim/repos/extra-x86_64/vimdoc.hook (from rev 317426, 
vim/trunk/vimdoc.hook)
===================================================================
--- vimdoc.hook                         (rev 0)
+++ vimdoc.hook 2018-02-23 15:02:36 UTC (rev 317427)
@@ -0,0 +1,11 @@
+[Trigger]
+Operation = Install
+Operation = Upgrade
+Operation= Remove
+Type = File
+Target = usr/share/vim/vimfiles/doc/
+
+[Action]
+Description = Updating Vim help tags...
+Exec = /usr/bin/vim -es --cmd ":helptags /usr/share/vim/vimfiles/doc" --cmd 
":q"
+When = PostTransaction

Deleted: vimrc
===================================================================
--- vimrc       2018-02-23 15:02:28 UTC (rev 317426)
+++ vimrc       2018-02-23 15:02:36 UTC (rev 317427)
@@ -1,18 +0,0 @@
-" All system-wide defaults are set in $VIMRUNTIME/archlinux.vim (usually just
-" /usr/share/vim/vimfiles/archlinux.vim) and sourced by the call to :runtime
-" you can find below.  If you wish to change any of those settings, you should
-" do it in this file (/etc/vimrc), since archlinux.vim will be overwritten
-" everytime an upgrade of the vim packages is performed.  It is recommended to
-" make changes after sourcing archlinux.vim since it alters the value of the
-" 'compatible' option.
-
-" This line should not be removed as it ensures that various options are
-" properly set to work with the Vim-related packages.
-runtime! archlinux.vim
-
-" If you prefer the old-style vim functionalty, add 'runtime! 
vimrc_example.vim'
-" Or better yet, read /usr/share/vim/vim80/vimrc_example.vim or the vim manual
-" and configure vim to your own liking!
-
-" do not load defaults if ~/.vimrc is missing
-"let skip_defaults_vim=1

Copied: vim/repos/extra-x86_64/vimrc (from rev 317426, vim/trunk/vimrc)
===================================================================
--- vimrc                               (rev 0)
+++ vimrc       2018-02-23 15:02:36 UTC (rev 317427)
@@ -0,0 +1,18 @@
+" All system-wide defaults are set in $VIMRUNTIME/archlinux.vim (usually just
+" /usr/share/vim/vimfiles/archlinux.vim) and sourced by the call to :runtime
+" you can find below.  If you wish to change any of those settings, you should
+" do it in this file (/etc/vimrc), since archlinux.vim will be overwritten
+" everytime an upgrade of the vim packages is performed.  It is recommended to
+" make changes after sourcing archlinux.vim since it alters the value of the
+" 'compatible' option.
+
+" This line should not be removed as it ensures that various options are
+" properly set to work with the Vim-related packages.
+runtime! archlinux.vim
+
+" If you prefer the old-style vim functionalty, add 'runtime! 
vimrc_example.vim'
+" Or better yet, read /usr/share/vim/vim80/vimrc_example.vim or the vim manual
+" and configure vim to your own liking!
+
+" do not load defaults if ~/.vimrc is missing
+"let skip_defaults_vim=1

Reply via email to